Uploaded image for project: 'Apache Taverna'
  1. Apache Taverna
  2. TAVERNA-1059

Use newer Felix Maven Bundle plugin

    XMLWordPrintableJSON

    Details

      Description

      We should probably use the latest Felix Maven Bundle Plugin - version 3.5.1 is based on bnd 3.5

      Note: There is also 4.0.0 and 4.1.0 in http://central.maven.org/maven2/org/apache/felix/maven-bundle-plugin/ - I don't see any breaking changes in https://github.com/bndtools/bnd/wiki/Changes-in-4.0.0 – we already require Java 8.

      Not sure if we use the deprecated "Bnd DS, metatype and versioning annotations support" (which disappear in 4.0) or if it's all in spring XML files?

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                stain Stian Soiland-Reyes
                Reporter:
                stain Stian Soiland-Reyes
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: